[Launch]
ProgramExecutable="FileRecovery\FileRecovery.exe"
RunAsAdmin=force
WorkingDirectory=%PAL:AppDir%\FileRecovery
SingleAppInstance=true
WaitForProgram=true
RunAsAdmin=try
WaitForExe1=ActionCenter.exe
WaitForExe2=FileRecovery.exe
WaitForExe3=FileShredder.exe
WaitForExe4=FreeSpaceWiper.exe
WaitForExe5=Integrator.exe
DirectoryMoveOK=yes
SupportsUNC=yes

[Activate]
Registry=true

[RegistryKeys]
FileRecovery="HKLM\SOFTWARE\Auslogics\File Recovery"

[RegistryCleanupForce]
1=HKLM\SOFTWARE\Classes\CLSID\{1A2ACDD6-8936-E9F9-0D3D-F5CCAFEA9BA2}

[RegistryCleanupIfEmpty]
1=HKLM\SOFTWARE\Auslogics

[DirectoriesMove]
FileRecovery=%ALLUSERSAPPDATA%\Auslogics\File Recovery

[DirectoriesCleanupIfEmpty]
1=%ALLUSERSAPPDATA%\Auslogics

[FileWrite1]
Type=Replace
File=%PAL:DataDir%\settings\FileRecovery.reg
Find=%PAL:LastDrive%%PAL:LastPackagePartialDir:DoubleBackslash%\\
Replace=%PAL:Drive%%PAL:PackagePartialDir:DoubleBackslash%\\

[FileWrite2]
Type=Replace
File=%PAL:DataDir%\settings\FileRecovery.reg
Find=%PAL:LastPortableAppsBaseDir:DoubleBackslash%\\
Replace=%PAL:PortableAppsBaseDir:DoubleBackslash%\\

[FileWrite3]
Type=Replace
File=%PAL:DataDir%\settings\FileRecovery.reg
Find=%PAL:LastDrive%\\
Replace=%PAL:Drive%\\